有关结余的资料
方法适用于模式:FBS, Express 和 DBS.
如果您使用API-Key令牌,调用该方法时需要具备列表中可用权限之一
返回机柜仓库中剩余物料的数据。
Метод подходит, только если в кабинете нет групп складов
如果机柜中有仓库组,则使用方法 POST v2/campaigns/{campaignId}/offers/stocks. 什么是仓库组,为什么需要它们?.
⚙️ 限额: 500 请求 每分钟 |
|---|
Request
POST
https://api.partner.market.yandex.ru/v3/businesses/{businessId}/offers/stocks
Path parameters
|
Name |
Description |
|
businessId |
Type: integer 内阁ID。 Min value: |
Query parameters
|
Name |
Description |
|
limit |
Type: integer 每页的值数。 Default: Min value: Max value: |
|
pageToken |
Type: string 结果页面的ID。 如果省略该参数,则返回第一页。 传递输出参数的值 Example: `` |
Body
application/json
{
"partnerWarehouseId": 1,
"archived": true,
"offerIds": [
"example"
]
}
|
Name |
Description |
|
partnerWarehouseId |
Type: integer 仓库ID。 要查找仓库ID,请使用请求 POST v3/businesses/{businessId}/warehouses. Min value: |
|
archived |
Type: boolean 按存档中的位置过滤。 传下去 |
|
offerIds |
Type: string[] | null 过滤你的 SKU 产品。 返回有关所有转移资金的剩余金额的信息。 SKU,包括存档中的项目。 Такой список возвращается только целиком 如果你要求提供特定的资料 SKU,不填写:
Min items: Max items: Unique items: Example
|
Responses
200 OK
仓库中剩余的货物。
Body
application/json
{
"status": "OK",
"result": {
"partnerWarehouseId": 1,
"offers": [
{
"offerId": "example",
"stocks": [
null
],
"updatedAt": "2025-01-01T00:00:00Z"
}
],
"paging": {
"nextPageToken": "example"
}
}
}
Type: object
All of 2 types
-
Type: object
status
Type: string
响应的类型。 可能的值:
OK— 没有错误。ERROR— 处理请求时出错。
Enum:
OK,ERROR服务器响应的标准包装器。
Example
{ "status": "OK" } -
Type: object
result
Type: object
offers
Type: object[]
offerId
Type: string
你的 SKU — 系统中的产品ID。
使用规则 SKU:
-
对于每个产品 SKU 一定有一个。
-
已经设置 SKU 它不能被释放并重新用于另一个产品。 每个产品都应该收到一个以前从未在目录中使用过的新标识符。
SKU 产品可以在市场上的卖方帐户中更改。 阅读如何做到这一点。 在市场对卖家的帮助.
重要
值开头和结尾的空格会自动删除。 例如,
" SKU123 "和"SKU123"它们将被视为相同的值。Min length:
1Max length:
255Pattern:
^(?=.*\S.*)[^\x00-\x08\x0A-\x1f\x7f]{1,255}$Example:
examplestocks
Type: object[]
count
Type: integer
剩菜的价值。
type
Type: string
仓库中剩余货物的类型:
-
AVAILABLE(对应于市场上卖方办公室"库存余额"报告中的"可供订购"类型) — 可供出售的物品。 -
DEFECT(对应于"婚姻"类型) — 有缺陷的产品。 -
EXPIRED(对应于"逾期"类型) — 过期的产品。 -
FIT(对应于"适合"类型) — 可供出售或已被保留的物品。 -
FREEZE— 为订单保留的产品。 -
QUARANTINE(对应于"隔离"类型) — 暂时不可出售的物料(例如,物料正在从一个仓库移动到另一个仓库)。 -
UTILIZATION— 将被处置的产品。
Enum:
FIT,FREEZE,AVAILABLE,QUARANTINE,UTILIZATION,DEFECT,EXPIRED有关余额的信息。
Example
[ { "type": "FIT", "count": 0 } ]updatedAt
Type: string<date-time>
余额信息上次更新的日期和时间。
日期和时间格式: ISO 8601 具有相对于 UTC. 例如,
2023-11-21T00:42:42+03:00.Example:
2025-01-01T00:00:00Z产品列表页。
Example
[ { "offerId": "example", "stocks": [ { "type": "FIT", "count": 0 } ], "updatedAt": "2025-01-01T00:00:00Z" } ]partnerWarehouseId
Type: integer
仓库ID。
Min value:
1paging
Type: object
nextPageToken
Type: string
下一个结果页面的ID。
Example:
example下一页的ID。
Example
{ "nextPageToken": "example" }仓库中剩余货物的信息。
Example
{ "partnerWarehouseId": 1, "offers": [ { "offerId": "example", "stocks": [ { "type": "FIT", "count": 0 } ], "updatedAt": "2025-01-01T00:00:00Z" } ], "paging": { "nextPageToken": "example" } }Example
{ "result": { "partnerWarehouseId": 1, "offers": [ { "offerId": "example", "stocks": [ {} ], "updatedAt": "2025-01-01T00:00:00Z" } ], "paging": { "nextPageToken": "example" } } } -
400 Bad Request
请求包含不正确的数据。 有关错误的更多信息
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
响应的类型。 可能的值:
OK— 没有错误。ERROR— 处理请求时出错。
Enum:
OK,ERROR服务器响应的标准包装器。
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
的错误代码。
Example:
examplemessage
Type: string
错误的描述。
Example:
example错误列表。
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
服务器错误的标准包装器。
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
401 Unauthorized
请求中未指定授权数据。 有关错误的更多信息
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
响应的类型。 可能的值:
OK— 没有错误。ERROR— 处理请求时出错。
Enum:
OK,ERROR服务器响应的标准包装器。
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
的错误代码。
Example:
examplemessage
Type: string
错误的描述。
Example:
example错误列表。
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
服务器错误的标准包装器。
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
403 Forbidden
授权数据不正确或禁止访问资源。 有关错误的更多信息
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
响应的类型。 可能的值:
OK— 没有错误。ERROR— 处理请求时出错。
Enum:
OK,ERROR服务器响应的标准包装器。
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
的错误代码。
Example:
examplemessage
Type: string
错误的描述。
Example:
example错误列表。
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
服务器错误的标准包装器。
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
404 Not Found
未找到请求的资源。 有关错误的更多信息
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
响应的类型。 可能的值:
OK— 没有错误。ERROR— 处理请求时出错。
Enum:
OK,ERROR服务器响应的标准包装器。
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
的错误代码。
Example:
examplemessage
Type: string
错误的描述。
Example:
example错误列表。
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
服务器错误的标准包装器。
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
420 Method Failure
已超出资源访问限制。 有关错误的更多信息
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
响应的类型。 可能的值:
OK— 没有错误。ERROR— 处理请求时出错。
Enum:
OK,ERROR服务器响应的标准包装器。
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
的错误代码。
Example:
examplemessage
Type: string
错误的描述。
Example:
example错误列表。
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
服务器错误的标准包装器。
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
500 Internal Server Error
Yandex的内部错误。 市场。 有关错误的更多信息
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
响应的类型。 可能的值:
OK— 没有错误。ERROR— 处理请求时出错。
Enum:
OK,ERROR服务器响应的标准包装器。
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
的错误代码。
Example:
examplemessage
Type: string
错误的描述。
Example:
example错误列表。
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
服务器错误的标准包装器。
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -